> For the complete documentation index, see [llms.txt](https://docs.abby.fr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abby.fr/api/erreurs.md).

# Erreurs

Abby utilise les codes HTTP pour indiquer le succès ou l'échec des requêtes envoyées à l'API. En cas d'échec, elle renvoie une erreur correspondant au code d'état approprié. Les codes d'état se répartissent en trois catégories :

* Les codes 2xx indiquent que la requête a réussi.
* Les codes 4xx signalent une erreur liée aux informations fournies.
* Les codes 5xx, plus rares, indiquent un problème côté serveur.

#### Attributs

En cas d'erreur, l'API renvoie un JSON décrivant les détails de l'erreur.

```json
{
 "type": "api_error" | "authentication_error" | "rsc_error",
 "code": "internal_server_error" | "not_found" | ...
 "message": "Details de l'erreur"
 "param": "Le paramètre incorrect"
}
```

#### Code de status HTTP

<table data-header-hidden><thead><tr><th></th><th></th><th data-hidden></th></tr></thead><tbody><tr><td><code>200 - OK</code></td><td>Tout s'est correctement exécuté</td><td></td></tr><tr><td><code>201 - Created</code></td><td>La ressource a été correctement créée</td><td></td></tr><tr><td><code>400 - Bad Request</code></td><td>La requête contient de mauvais paramètres</td><td></td></tr><tr><td><code>401 - Unauthorized</code></td><td>La clé API n'est pas valide</td><td></td></tr><tr><td><code>403 - Forbidden</code></td><td>La clé API n'a pas l'accès requis</td><td></td></tr><tr><td><code>404 - Not Found</code></td><td>La ressource n'a pas été trouvée</td><td></td></tr><tr><td><code>429 - Too Many Requests</code></td><td>Trop de requêtes ont été envoyées à l'API</td><td></td></tr><tr><td><code>500, 502, 503 - Server Errors</code></td><td>Un problème est arrivé côté Abby</td><td></td></tr></tbody></table>

#### Types d'erreurs

<table data-header-hidden><thead><tr><th></th><th></th><th data-hidden></th></tr></thead><tbody><tr><td><code>api_error</code></td><td>Un problème est survenu côté API</td><td></td></tr><tr><td><code>authentication_error</code></td><td>La clé API n'est pas valide</td><td></td></tr><tr><td><code>rsc_error</code></td><td>La ressource ou les paramètres sont invalides</td><td></td></tr></tbody></table>

#### Codes d'erreur

<table data-header-hidden><thead><tr><th></th><th></th><th data-hidden></th></tr></thead><tbody><tr><td><code>internal_server_error</code></td><td>Une erreur est survenue sur l'API</td><td></td></tr><tr><td><code>token_failure</code></td><td>La clé API n'est pas valide</td><td></td></tr><tr><td><code>validation_error</code></td><td>Les paramètres de la requête sont incorrects</td><td></td></tr><tr><td><code>not_found</code></td><td>La ressource est introuvable</td><td></td></tr><tr><td><code>bad_request</code></td><td>Certains paramètres ne sont valides</td><td></td></tr><tr><td><code>forbidden</code></td><td>La clé API n'a pas les permissions requises</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abby.fr/api/erreurs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
